import request from '@/utils/request'

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/system/dept/list',
    method: 'get',
    params: query
  })
}

// 查询部门列表（排除节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: '/system/dept/list/exclude/' + deptId,
    method: 'get'
  })
}

// 查询部门详细
export function getDept(deptId) {
  return request({
    url: '/system/dept/' + deptId,
    method: 'get'
  })
}

// 新增部门
export function addDept(data) {
  return request({
    url: '/system/dept',
    method: 'post',
    data: data
  })
}

// 修改部门
export function updateDept(data) {
  return request({
    url: '/system/dept',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: '/system/dept/' + deptId,
    method: 'delete'
  })
}

//查询所有部门数据的id和name
export function listAllDept() {
  return request({
    url: '/system/dept/getAllDeptList',
    method: 'get'
  })
}

//根据客户需求,查询部分部门数据
export function selectPartDept() {
  return request({
    url: '/system/dept/getPartDeptInfo',
    method: 'get'
  })
}
//查询二级部门数据的id和name
export function listAllDept2() {
  return request({
    url: '/system/dept/getAllDeptList',
    method: 'get',
    params: {"parentId":0}
  })
}
